import { App } from "vue";
import { ComponentsConfig, setConfig } from "./config";
import { setEnumMap } from "./enum";
interface PluginOption {
	components?: Partial<ComponentsConfig>;
	enumMapper?: Record<string, Record<string, string>>;
}
export const FormBuilderPlugin = {
	install: (_app: App, options: PluginOption) => {
		for (const [key, value] of Object.entries(options.components ?? {})) {
			setConfig(key as keyof ComponentsConfig, value);
		}
		for (const [key, value] of Object.entries(options.enumMapper ?? {})) {
			setEnumMap(key, value);
		}
	},
};
