export type Columns = number | { [key: string]: number; default: number };
export function columnClass(columns: Columns) {
	if (typeof columns === "number") {
		const mobileColumns = columns > 3 ? 2 : 1;
		return `des:col-span-${columns} col-span-${mobileColumns}`;
	}
	let str: string[] = [];
	for (const [key, val] of Object.entries(columns)) {
		if (key === "default") str.push(`col-span-${val}`);
		else str.push(`${key}:col-span-${val}`);
	}
	return str.join(" ");
}
