import { FormHistory } from "../FormBuilder/useSaveLoad";

export const removeAllExpiries = (prefix = "form:") => {
	const keys = Object.keys(localStorage);
	for (const key of keys) {
		if (key.startsWith(prefix)) {
			const item = localStorage.getItem(key);
			if (!item) continue;
			const value = JSON.parse(item) as FormHistory;
			if (
				value.noExpiry !== true &&
				value.expiryAt &&
				value.expiryAt < Date.now()
			) {
				localStorage.removeItem(key);
			}
		}
	}
};
